import {DateFormat} from "@/model/DateFormat";

export class TrainingPlan extends DateFormat {
    private $_name: any;
    private $_type: any;
    private $_startDate: any;
    private $_endDate: any;
    private $_status: any;

    constructor(name: any, type: any, startDate: any, endDate: any, status: any) {
        super()
        this.$_name = name
        this.$_type = type
        this.$_startDate = startDate.substring(0, 10)
        this.$_endDate = endDate.substring(0, 10)
        this.$_status = status
        //TODO: It should not be possible for the plan to be active while also having an end date. Add model check
    }

    get name(): any {
        return this.$_name;
    }

    get type(): any {
        return this.$_type;
    }

    get startDate(): any {
        return this.$_startDate;
    }

    get endDate(): any {
        return this.$_endDate;
    }

    get status(): any {
        return this.$_status;
    }
}
